Payments APIInstitutions

Get institutions' countries

GET
/institutions/countries

Get list of countries in which institutions operate. This information is useful for generating a bank's country switcher.

Authorization

Bearer
headerAuthorizationBearer <JWT>

Bearer token using a JWT.

Query Parameters

institution[currency]*string

Filter for currency code (ISO 4217 format) institution must support.

institution[payments][active]?boolean

Filter whether institution is active or not (temporarily disabled) in terms of payments capability.

institution[recurring][commercial]?true

Return only countries holding at least one active institution with an active commercial-VRP (cVRP) provider feature.

Only true is supported. Any other value, including false, is rejected with 400.

Value intrue

Header Parameters

X-Volt-Api-Version*1

Version of the API used. Currently, version 1 is the only version.

Value in1

Response Body

OK - Successful request, returning list of institutions' countries.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://gateway.sandbox.volt.io/institutions/countries?institution%5Bcurrency%5D=string' \  -H 'X-Volt-Api-Version: 1'
Example Response
[  {    "country": "DE"  },  {    "country": "ES"  }]